Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - i -

- i : apply_arg, BigStruct, cparse_params, struct_108byte, struct_116byte, struct_72byte, test_structure_9
- i0 : C_block
- i1 : C_block
- ic_cache : iseq_inline_storage_entry
- ic_cref : iseq_inline_constant_cache_entry
- ic_serial : iseq_inline_constant_cache_entry
- iclass : METHOD
- iconv : nkf_native_encoding
- iconv_func : input_code
- id : autoload_const, branch_coverage_result_builder, kwtable, log, nkf_encoding, rb_global_entry, rb_method_attr_struct, rb_mjit_unit, rb_ractor_pub, rb_trace_arg_struct, RNode, RSymbol, tmp_dh_callback_args, YYSTYPE
- id_to_obj_tbl : rb_objspace
- Identifier : FILE_ID_128
- idkey_local_storage : rb_ractor_struct
- ids : rb_symbols_t
- idx : node_buffer_list_t, ruby_glob_entries_t
- ifa_addr : ifaddrs
- ifa_broadaddr : ifaddrs
- ifa_data : ifaddrs
- ifa_dstaddr : ifaddrs
- ifa_flags : ifaddrs
- ifa_name : ifaddrs
- ifa_netmask : ifaddrs
- ifa_next : ifaddrs
- ifnone : RHash
- IfType : NET_LUID
- ifunc : rb_captured_block, RVALUE
- ignore_case : OptExactInfo
- ii : BigStruct, cls_struct_16byte2
- imag : RComplex
- imemo : rb_args_info, RVALUE
- immediate_sweep : rb_objspace
- immortal : dynamic_symbol_counts
- in : gz_state, npn_select_cb_common_args, point, state, union_sockaddr
- in_buf_end : rb_econv_t
- in_buf_start : rb_econv_t
- in_class : lex_context
- in_data_end : rb_econv_t
- in_data_start : rb_econv_t
- in_def : lex_context
- in_defined : lex_context
- in_kwarg : lex_context
- in_opened_file_inzip : zip64_internal
- in_tomb : heap_page
- inbuf : ind
- includer : rb_classext_struct
- incnt : state
- incoming_port_closed : rb_ractor_sync
- incoming_queue : rb_ractor_sync
- increase : rb_objspace
- indent : add_option_arg, JSON_Generator_StateStruct, token_info
- indent_len : JSON_Generator_StateStruct
- index : default_encoding, flat_map_i_arg, input_code, ivar_update, malloc_tree_chunk, mark_stack, olemethoddata, oleparamdata, olevariabledata, rb_builtin_function, rb_econv_init_by_convpath_t, rb_iseq_struct, rb_iv_index_tbl_entry, receive_block_data, ruby_cmdline_options
- infile : ind
- Info : NET_LUID
- info : w32_io_info_t
- infun : state
- inhow : state
- init : producer, rb_random_interface_t
- init_func : rb_digest_metadata_t
- init_loc : bt_iter_arg
- init_p : argf
- initial_count : fiber_pool
- initial_length : FBufferStruct
- inlen : npn_select_cb_common_args, state
- inline_const_cache : rb_compile_option_struct
- inner : local_vars
- inplace : argf
- input : parser_params, zstream
- input_unit_length : rb_transcoder
- ins_h : internal_state
- insert : internal_state
- insn : insn_data_struct, iseq_compile_data
- insn_id : iseq_insn_data
- insn_info : iseq_insn_data
- insn_len : insn_data_struct
- insns_info : rb_iseq_constant_body
- inspectname : rb_addrinfo_t
- instructions_unification : rb_compile_option_struct
- int_map : re_pattern_buffer
- int_map_backward : re_pattern_buffer
- intern : ruby_cmdline_options
- internal : ibf_object_header
- internal_fa : unz_file_info64_s, unz_file_info_s, zip_fileinfo
- internals : rof_data
- interrupt : zstream_run_args
- interrupt_event : native_thread_data_struct
- interrupt_flag : rb_execution_context_struct
- interrupt_lock : rb_thread_struct
- interrupt_mask : rb_execution_context_struct
- interrupted : ossl_generate_cb_arg
- intr : native_thread_data_struct, rawmode_arg_t
- inverted : slicewhen_arg
- invoke : rb_execarg
- invoke_arg : rb_thread_struct
- invoke_time : rb_objspace
- invoke_type : rb_thread_struct
- invoker : rb_method_cfunc_struct
- io : foreach_arg, getline_arg, seek_arg, ttymode_callback_args, write_arg
- iov_base : __siov, iovec
- iov_len : __siov, iovec
- ipaddr : hostent_arg
- is64bitOpenFunction : unz64_s
- is_allowed_reverse_match : OnigEncodingTypeST
- is_code_ctype : OnigEncodingTypeST
- is_entries : rb_iseq_constant_body
- is_export : tmp_dh_callback_args
- is_from_method : rb_proc_t
- is_isolated : rb_proc_t
- is_lambda : rb_proc_t
- is_mbc_newline : OnigEncodingTypeST
- is_referred : QtfrNode
- is_size : rb_iseq_constant_body
- iseq : ibf_load, iseq_catch_table_entry, rb_backtrace_location_struct, rb_captured_block, rb_control_frame_struct, rb_env_t, rb_method_definition_struct, rb_mjit_unit, RVALUE
- iseq_encoded : rb_iseq_constant_body
- iseq_list : ibf_load
- iseq_list_offset : ibf_header
- iseq_list_size : ibf_header
- iseq_size : rb_iseq_constant_body
- iseq_table : ibf_dump
- iseqptr : rb_method_iseq_struct
- isolate : collect_outer_variable_name_data
- isolated_depth : iseq_compile_data
- isZip64 : unz64_s
- item_desc : rb_memory_view_t
- item_size : rb_memory_view_t
- items : rb_id_table
- iter : hash_foreach_arg, print_to_arg
- iv_cache : iseq_inline_storage_entry
- iv_extended : ivar_update
- iv_index_tbl : givar_copy, ivar_update, rb_classext_struct, RObject
- iv_tbl : rb_classext_struct
- ivar_cache_table : iseq_compile_data
- ivptr : gen_ivtbl, RObject
- ivtbl : givar_copy, ivar_update